# sipep.h File Reference

`#include <ptlib.h>`
`#include <opal/buildopts.h>`
`#include <ptclib/sockagg.h>`
`#include <opal/rtpep.h>`
`#include <sip/sipcon.h>`
`#include <sip/sippdu.h>`
`#include <sip/handlers.h>`

Go to the source code of this file.

## Classes

class | SIPAuthInfo
class | SIPEndPoint
struct | SIPEndPoint::RegistrationStatus
struct | SIPEndPoint::SIP_PDU_Work
class | SIPEndPoint::SIP_PDU_Thread
class | SIPEndPoint::InterfaceMonitor

## Defines

#define | OPAL_HAS_SIP_PRESENCE 1

## Define Documentation

#define OPAL_HAS_SIP_PRESENCE 1